## libmikmod 3.3.10

=== debian/changelog ===
libmikmod (3.3.10-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Sep 2016 23:15:36 +0200

libmikmod (3.3.9-1) unstable; urgency=medium

  * New upstream version.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Aug 2016 22:46:52 +0200

=== debian/control ===
Source: libmikmod
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libopenal-dev,
               libpulse-dev,
               libsdl1.2-dev,
               texinfo
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmikmod.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmikmod.git
Homepage: http://mikmod.sf.net/

Package: libmikmod-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libmikmod3 (= ${binary:Version}),
         libmikmod-config,
         ${misc:Depends}
Conflicts: libmikmod2-dev
Provides: libmikmod2-dev
Description: Portable sound library - development files
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libmikmod.

Package: libmikmod-config
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: libmikmod-dev (<< 3.3.6-1),
        libmikmod2-dev (<< 3.3.6-1)
Replaces: libmikmod-dev (<< 3.3.6-1),
          libmikmod2-dev (<< 3.3.6-1)
Description: Portable sound library - development binaries
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains libmikmod-config.

Package: libmikmod3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable sound library
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.

## libmikmod 3.3.11.1

=== amiga/Makefile ===
# Makefile for targeting AmigaOS variants using GCC.
# You must specify a target OS on the make command line:
# make amigaos  : build for m68k-amigaos
# make amigaos4 : build for ppc-amigaos4
# make aros     : build for i386-aros
# make morphos  : build for ppc-morphos

ifeq ($(CROSS),)
CC=gcc
AS=as
AR=ar
RANLIB=ranlib
else
CC=$(CROSS)-gcc
AS=$(CROSS)-as
AR=$(CROSS)-ar
RANLIB=$(CROSS)-ranlib
endif

# compiler flags
CFLAGS   =-O2 -Wall
CFLAGS  +=-ffast-math -fno-common
#CFLAGS  +=-g
CPPFLAGS =-DHAVE_LIMITS_H -DHAVE_SNPRINTF -DHAVE_UNISTD_H
INCLUDE  =-I../amiga -I../include
ARFLAGS  = cr
LDFLAGS  =
LDLIBS   =-L. -lmikmod
CPPFLAGS_LIB =-DMIKMOD_BUILD

ifeq ($(AROS),1)
include gcc_aros.mk
endif
ifeq ($(MORPHOS),1)
include gcc_morphos.mk
endif
ifeq ($(AOS3),1)
include gcc_aos3.mk
endif
ifeq ($(AOS4),1)
include gcc_aos4.mk
endif

# disable the high quality mixer (build only with the standart mixer)
#CPPFLAGS_LIB+=-DNO_HQMIXER

# support for AHI output:
CPPFLAGS_LIB+=-DDRV_AHI
# support for wav file output:
CPPFLAGS_LIB+=-DDRV_WAV
# support for aiff file output:
CPPFLAGS_LIB+=-DDRV_AIFF
# support for output raw data to a file:
CPPFLAGS_LIB+=-DDRV_RAW

COMPILE_LIB=$(CC) -c $(CFLAGS) $(INCLUDE) $(CPPFLAGS) $(CPPFLAGS_LIB)
COMPILE_APP=$(CC) -c $(CFLAGS) $(INCLUDE) $(CPPFLAGS)

.SUFFIXES:
.SUFFIXES: .o .c

LIB=libmikmod.a
APP=splay splayFP splayMEM splayMEM2 soundeffects

OBJ=objs/drv_ahi.o \
    objs/drv_raw.o \
    objs/drv_aiff.o \
    objs/drv_wav.o \
    objs/drv_nos.o \
    objs/strcasecmp.o \
    objs/load_669.o \
    objs/load_amf.o \
    objs/load_asy.o \
    objs/load_dsm.o \
    objs/load_far.o \
    objs/load_gdm.o \
    objs/load_gt2.o \
    objs/load_it.o \
    objs/load_imf.o \
    objs/load_m15.o \
    objs/load_med.o \
    objs/load_mod.o \
    objs/load_mtm.o \
    objs/load_okt.o \
    objs/load_s3m.o \
    objs/load_stm.o \
    objs/load_stx.o \
    objs/load_ult.o \
    objs/load_umx.o \
    objs/load_uni.o \
    objs/load_xm.o \
    objs/mmalloc.o \
    objs/mmerror.o \
    objs/mmio.o \
    objs/mdriver.o \
    objs/mdreg.o \
    objs/mmcmp.o \
    objs/pp20.o \
    objs/s404.o \
    objs/xpk.o \
    objs/mloader.o \
    objs/mlreg.o \
    objs/mlutil.o \
    objs/mplayer.o \
    objs/munitrk.o \
    objs/mwav.o \
    objs/npertab.o \
    objs/sloader.o \
    objs/virtch.o \
    objs/virtch2.o \
    objs/virtch_common.o
#   objs/mdulaw.o

all: $(LIB) $(APP)

aros:
	@echo Building for i386-aros
	$(MAKE) AROS=1
morphos:
	@echo Building for ppc-morphos
	$(MAKE) MORPHOS=1
amigaos:
	@echo Building for m68k-amigaos
	$(MAKE) AOS3=1
amigaos4:
	@echo Building for ppc-amigaos4
	$(MAKE) AOS4=1

clean:
	rm -f $(APP) $(LIB) *.lib objs/*.o

$(LIB): $(OBJ)
	$(AR) $(ARFLAGS) $@ $(OBJ)
	$(RANLIB) $@

splay: $(LIB) objs/amiga.o objs/splay.o
	$(CC) objs/amiga.o objs/splay.o $(LDFLAGS) $(LDLIBS) -o splay
splayFP: $(LIB) objs/amiga.o objs/splayFP.o
	$(CC) objs/amiga.o objs/splayFP.o $(LDFLAGS) $(LDLIBS) -o splayFP
splayMEM: $(LIB) objs/amiga.o objs/myloader.o objs/splayMEM.o
	$(CC) objs/amiga.o objs/myloader.o objs/splayMEM.o $(LDFLAGS) $(LDLIBS) -o splayMEM
splayMEM2: $(LIB) objs/amiga.o objs/splayMEM2.o
	$(CC) objs/amiga.o objs/splayMEM2.o $(LDFLAGS) $(LDLIBS) -o splayMEM2
soundeffects: $(LIB) objs/amiga.o objs/soundeffects.o
	$(CC) objs/amiga.o objs/soundeffects.o $(LDFLAGS) $(LDLIBS) -o soundeffects

HEADER_DEPS=../include/mikmod.h ../include/mikmod_internals.h ../include/mikmod_ctype.h
objs/drv_ahi.o: ../drivers/drv_ahi.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../drivers/drv_ahi.c -o objs/drv_ahi.o
objs/drv_nos.o: ../drivers/drv_nos.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../drivers/drv_nos.c -o objs/drv_nos.o
objs/drv_raw.o: ../drivers/drv_raw.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../drivers/drv_raw.c -o objs/drv_raw.o
objs/drv_aiff.o: ../drivers/drv_aiff.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../drivers/drv_aiff.c -o objs/drv_aiff.o
objs/drv_wav.o: ../drivers/drv_wav.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../drivers/drv_wav.c -o objs/drv_wav.o
objs/load_669.o: ../loaders/load_669.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_669.c -o objs/load_669.o
objs/load_amf.o: ../loaders/load_amf.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_amf.c -o objs/load_amf.o
objs/load_asy.o: ../loaders/load_asy.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_asy.c -o objs/load_asy.o
objs/load_dsm.o: ../loaders/load_dsm.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_dsm.c -o objs/load_dsm.o
objs/load_far.o: ../loaders/load_far.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_far.c -o objs/load_far.o
objs/load_gdm.o: ../loaders/load_gdm.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_gdm.c -o objs/load_gdm.o
objs/load_gt2.o: ../loaders/load_gt2.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_gt2.c -o objs/load_gt2.o
objs/load_it.o: ../loaders/load_it.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_it.c -o objs/load_it.o
objs/load_imf.o: ../loaders/load_imf.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_imf.c -o objs/load_imf.o
objs/load_m15.o: ../loaders/load_m15.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_m15.c -o objs/load_m15.o
objs/load_med.o: ../loaders/load_med.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_med.c -o objs/load_med.o
objs/load_mod.o: ../loaders/load_mod.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_mod.c -o objs/load_mod.o
objs/load_mtm.o: ../loaders/load_mtm.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_mtm.c -o objs/load_mtm.o
objs/load_okt.o: ../loaders/load_okt.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_okt.c -o objs/load_okt.o
objs/load_s3m.o: ../loaders/load_s3m.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_s3m.c -o objs/load_s3m.o
objs/load_stm.o: ../loaders/load_stm.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_stm.c -o objs/load_stm.o
objs/load_stx.o: ../loaders/load_stx.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_stx.c -o objs/load_stx.o
objs/load_ult.o: ../loaders/load_ult.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_ult.c -o objs/load_ult.o
objs/load_umx.o: ../loaders/load_umx.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_umx.c -o objs/load_umx.o
objs/load_uni.o: ../loaders/load_uni.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_uni.c -o objs/load_uni.o
objs/load_xm.o: ../loaders/load_xm.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../loaders/load_xm.c -o objs/load_xm.o
objs/mmalloc.o: ../mmio/mmalloc.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../mmio/mmalloc.c -o objs/mmalloc.o
objs/mmerror.o: ../mmio/mmerror.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../mmio/mmerror.c -o objs/mmerror.o
objs/mmio.o: ../mmio/mmio.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../mmio/mmio.c -o objs/mmio.o
objs/mmcmp.o: ../depackers/mmcmp.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../depackers/mmcmp.c -o objs/mmcmp.o
objs/pp20.o: ../depackers/pp20.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../depackers/pp20.c -o objs/pp20.o
objs/s404.o: ../depackers/s404.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../depackers/s404.c -o objs/s404.o
objs/xpk.o: ../depackers/xpk.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../depackers/xpk.c -o objs/xpk.o
objs/mdriver.o: ../playercode/mdriver.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mdriver.c -o objs/mdriver.o
objs/mdreg.o: ../playercode/mdreg.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mdreg.c -o objs/mdreg.o
objs/mdulaw.o: ../playercode/mdulaw.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mdulaw.c -o objs/mdulaw.o
objs/mloader.o: ../playercode/mloader.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mloader.c -o objs/mloader.o
objs/mlreg.o: ../playercode/mlreg.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mlreg.c -o objs/mlreg.o
objs/mlutil.o: ../playercode/mlutil.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mlutil.c -o objs/mlutil.o
objs/mplayer.o: ../playercode/mplayer.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mplayer.c -o objs/mplayer.o
objs/munitrk.o: ../playercode/munitrk.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/munitrk.c -o objs/munitrk.o
objs/mwav.o: ../playercode/mwav.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/mwav.c -o objs/mwav.o
objs/npertab.o: ../playercode/npertab.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/npertab.c -o objs/npertab.o
objs/sloader.o: ../playercode/sloader.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/sloader.c -o objs/sloader.o
objs/virtch.o: ../playercode/virtch.c ../playercode/virtch_common.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/virtch.c -o objs/virtch.o
objs/virtch2.o: ../playercode/virtch2.c ../playercode/virtch_common.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/virtch2.c -o objs/virtch2.o
objs/virtch_common.o: ../playercode/virtch_common.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../playercode/virtch_common.c -o objs/virtch_common.o
objs/strcasecmp.o: ../posix/strcasecmp.c $(HEADER_DEPS)
	$(COMPILE_LIB) ../posix/strcasecmp.c -o objs/strcasecmp.o

objs/amiga.o:  ../examples/amiga.c
	$(COMPILE_APP) ../examples/amiga.c -o objs/amiga.o
objs/splay.o: ../examples/simpleplay/splay.c $(HEADER_DEPS)
	$(COMPILE_APP) ../examples/simpleplay/splay.c -o objs/splay.o
objs/splayFP.o: ../examples/simpleplayFP/splayFP.c $(HEADER_DEPS)
	$(COMPILE_APP) ../examples/simpleplayFP/splayFP.c -o objs/splayFP.o
objs/myloader.o: ../examples/simpleplayMEM/myloader.c ../examples/simpleplayMEM/myloader.h $(HEADER_DEPS)
	$(COMPILE_APP) -I../examples/simpleplayMEM ../examples/simpleplayMEM/myloader.c -o objs/myloader.o
objs/splayMEM.o: ../examples/simpleplayMEM/splayMEM.c ../examples/simpleplayMEM/myloader.h $(HEADER_DEPS)
	$(COMPILE_APP) -I../examples/simpleplayMEM ../examples/simpleplayMEM/splayMEM.c -o objs/splayMEM.o
objs/splayMEM2.o: ../examples/simpleplayMEM2/splayMEM2.c $(HEADER_DEPS)
	$(COMPILE_APP) ../examples/simpleplayMEM2/splayMEM2.c -o objs/splayMEM2.o
objs/soundeffects.o: ../examples/soundeffects/soundeffects.c $(HEADER_DEPS)
	$(COMPILE_APP) ../examples/soundeffects/soundeffects.c -o objs/soundeffects.o

=== examples/simpleplay/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splay

OBJS=splay.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o $(PROG)

=== examples/simpleplayMEM2/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splayMEM2

OBJS=splayMEM2.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o $(PROG)

=== debian/changelog ===
libmikmod (3.3.11.1-4) unstable; urgency=medium

  * Migrate to Salsa.
  * Install examples in libmikmod-dev.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 13:31:33 +0200

libmikmod (3.3.11.1-3) unstable; urgency=medium

  * Fix libmikmod-config so it doesn’t require all the build-dependent
    libraries, just -lmikmod (closes: #879706).

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Oct 2017 13:32:20 +0200

libmikmod (3.3.11.1-2) unstable; urgency=medium

  * Build with SDL2, which involves switching from cmake back to autotools
    since the cmake build doesn’t support SDL2 (closes: #870024).
  * Standard-Version 4.1.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 20 Oct 2017 21:21:10 +0200

libmikmod (3.3.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Correctly replace the version number in libmikmod-config’s manpage.
  * Switch to debhelper compatibility level 10.
  * Switch to https URL for the debian/copyright format.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jul 2017 13:34:40 +0200

libmikmod (3.3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 21:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libasound2-dev [linux-any],
                libopenal-dev,
                libpulse-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
                texinfo
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmikmod.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmikmod.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/mod-player-team/libmikmod
+Vcs-Git: https://salsa.debian.org/mod-player-team/libmikmod.git
 Homepage: http://mikmod.sf.net/
 
 Package: libmikmod-dev

=== debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS		+= -O-Bbuild
export DEB_BUILD_MAINT_OPTIONS	 = hardening=-fortify

ENABLED = --disable-esd
ENABLED += --enable-openal
ENABLED += --enable-sdl --enable-sdl2
# Only enable ALSA on Linux
ifeq ($(DEB_HOST_ARCH_OS), linux)
  ENABLED += --enable-alsa
else
  ENABLED += --disable-alsa
endif

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_configure:
	dh_auto_configure -- $(ENABLED)

override_dh_installman:
	sed 's/@LIBMIKMOD_VERSION@/$(DEB_VERSION_UPSTREAM)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
	dh_installman

override_dh_installinfo:
	dh_installinfo docs/mikmod.info*

override_dh_installchangelogs:
	dh_installchangelogs -a NEWS

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/mikmod/libmikmod-(.+)\.tar\.gz

## libmikmod 3.3.12

=== CMakeLists.txt ===
# Copyright (c) 2012 Shlomi Fish
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
# (This copyright notice applies only to this file)

CMAKE_MINIMUM_REQUIRED(VERSION 3.1...3.10)
PROJECT(libmikmod C)
LIST(APPEND CMAKE_MODULE_PATH "${libmikmod_SOURCE_DIR}/cmake")

SET(LIBMIKMOD_MAJOR_VERSION 3)
SET(LIBMIKMOD_MINOR_VERSION 3)
SET(LIBMIKMOD_MICRO_VERSION 12)

SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
SET(CPACK_PACKAGE_VERSION_MAJOR ${LIBMIKMOD_MAJOR_VERSION})
SET(CPACK_PACKAGE_VERSION_MINOR ${LIBMIKMOD_MINOR_VERSION})
SET(CPACK_PACKAGE_VERSION_PATCH ${LIBMIKMOD_MICRO_VERSION})

# package generation (make package[_source])
SET(CPACK_PACKAGE_NAME "libmikmod")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "libmikmod - a module file playing and sound library")
SET(CPACK_PACKAGE_VENDOR "Shlomi Fish")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING.LESSER")

SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

SET(base_with_ver "libmikmod-[0-9]+\\\\.[0-9]+\\\\.[0-9]+")
SET(CPACK_SOURCE_IGNORE_FILES
    "/_CPack_Packages/"
    "/CMakeFiles/"
    "/.deps/"
    "^${base_with_ver}(-Source|-Linux)?/"
    "${base_with_ver}.tar\\\\.(gz|bz2|Z|lzma|xz)$"
    "\\\\.o$"
    "~$"
    "/libmikmod\\\\.(a|la)$"
    "\\\\.so(\\\\.[0-9]+)*$"
    "/\\\\.svn/"
    "\\\\.(pdf|fo)$"
    "/CMakeCache\\\\.txt$"
    "/CTestTestfile\\\\.cmake$"
    "/cmake_install\\\\.cmake$"
    "/CPackConfig\\\\.cmake$"
    "/CPackSourceConfig\\\\.cmake$"
    "/tags$"
    "/libmikmod-config$"
    "^config\\\\.h$"
    "/install_manifest\\\\.txt$"
    "/t/"
    "/Testing/"
    "run-tests\\\\.pl"
    "/_Inline/"
    "/(B|build|BUILD)/"
    "/autom4te.cache/"
)

# some convenience macros for detection of several Unix OSs - based on SDL.
if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
set(SYS_LINUX 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "OpenBSD.*")
set(SYS_OPENBSD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "kFreeBSD.*")
set(SYS_FREEBSD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
set(SYS_NETBSD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
set(SYS_OPENBSD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES ".*GNU.*")
set(SYS_GNUHURD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
set(SYS_FREEBSD 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "Solaris.*")
set(SYS_SOLARIS 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "AIX.*")
set(SYS_AIX 1)
elseif(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
set(SYS_HPUX 1)
endif()

if(SYS_OPENBSD)
set(USE_SUNAUDIO_DEFAULT OFF)
set(USE_SNDIO_DEFAULT  ON)
set(USE_RPATH_DEFAULT  ON)
else()
set(USE_SUNAUDIO_DEFAULT  ON)
set(USE_SNDIO_DEFAULT OFF)
set(USE_RPATH_DEFAULT OFF)
endif()

include(CMakeDependentOption)

cmake_dependent_option(ENABLE_ALSA "Include the ALSA driver" ON "SYS_LINUX" OFF)
cmake_dependent_option(ENABLE_OSS "Include the OSS driver" ON "UNIX;NOT APPLE" OFF)
cmake_dependent_option(ENABLE_ESD "Include the EsounD (Enlightened Sound Daemon) driver" OFF "UNIX;NOT APPLE" OFF)
cmake_dependent_option(ENABLE_PULSE "Include the PulseAudio driver" ON "UNIX;NOT APPLE" OFF)
cmake_dependent_option(ENABLE_SNDIO "Include the OpenBSD sndio driver" ${USE_SNDIO_DEFAULT} "UNIX;NOT APPLE" OFF)
cmake_dependent_option(ENABLE_NAS "Include the Network Audio System driver" OFF "UNIX;NOT APPLE" OFF)
#cmake_dependent_option(ENABLE_AF "Include the DEC AudioFile server (AF) driver" OFF "UNIX;NOT APPLE" OFF)
cmake_dependent_option(ENABLE_COREAUDIO "Include the CoreAudio driver" ON "APPLE" OFF)
cmake_dependent_option(ENABLE_DSOUND "Include the DirectSound driver" ON "WIN32" OFF)
cmake_dependent_option(ENABLE_WINMM "Include the Windows MCI driver" ON "WIN32" OFF)
cmake_dependent_option(ENABLE_XAUDIO2 "Include the XAudio2 driver" OFF "WIN32" OFF)
cmake_dependent_option(ENABLE_XAUDIO28 "Use XAudio2.8 for Windows8 instead of XAudio2.7" OFF "WIN32" OFF)
cmake_dependent_option(ENABLE_STDOUT "Support for output to stdout" ON "UNIX" OFF)
cmake_dependent_option(ENABLE_PIPE "Support for output via a pipe to another command" ON "UNIX" OFF)
cmake_dependent_option(ENABLE_AIX "Include the AIX audio driver" ON "SYS_AIX" OFF)
cmake_dependent_option(ENABLE_HPUX "Include the HP-UX audio driver" ON "SYS_HPUX" OFF)
cmake_dependent_option(ENABLE_SUNAUDIO "Include the SunAudio (or compatibles) driver" ${USE_SUNAUDIO_DEFAULT} "SYS_NETBSD OR SYS_OPENBSD OR SYS_SOLARIS" OFF)
option(ENABLE_OPENAL "Include the OpenAL driver" OFF)
option(ENABLE_SDL "Include the SDL driver" OFF)
option(ENABLE_AIFF "Support for output to an .aiff file" ON)
option(ENABLE_WAV "Support for output to a .wav file" ON)
option(ENABLE_RAW "Support for output raw pcm data to a file" ON)

cmake_dependent_option(ENABLE_DL "Load ALSA, PulseAudio or EsounD drivers at runtime" ON "ENABLE_ALSA OR ENABLE_PULSE OR ENABLE_ESD" OFF)
cmake_dependent_option(ENABLE_THREADS "build a thread-safe version of libmikmod" ON "UNIX" OFF) # only for pthreads.

option(DISABLE_DEPACKERS "Exclude support for module depackers" OFF)
option(DISABLE_HQMIXER "Exclude support for high quality mixer" OFF)

option(ENABLE_SIMD "Use SIMD (AltiVec or SSE2) optimizations (UNSTABLE!!!)" OFF)
option(ENABLE_RPATH "Whether to use RPATH when linking" ${USE_RPATH_DEFAULT})
option(ENABLE_SHARED "Whether to build the shared library" ON)
option(ENABLE_STATIC "Whether to build the static library" ON)

IF (NOT ENABLE_STATIC AND NOT ENABLE_SHARED)
    message(FATAL_ERROR "Both static and shared builds got disabled. You must enable at least one of them.")
ENDIF()

include(GNUInstallDirs)

### See:  http://www.cmake.org/Wiki/CMake_RPATH_handling
IF (ENABLE_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
    SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  # the RPATH to be used when installing
    SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ELSE()
#   SET (CMAKE_SKIP_RPATH YES)
ENDIF()

IF (POLICY CMP0075)
    CMAKE_POLICY(SET CMP0075 NEW)
ENDIF()

include(CPack)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(FindPkgConfig)
include(TestBigEndian)
include(mik_macros)

ADD_SUBDIRECTORY ("docs")

IF (CMAKE_COMPILER_IS_GNUCC OR (CMAKE_C_COMPILER_ID MATCHES "Clang"))
    ADD_DEFINITIONS("-Wall" "-Wwrite-strings" "-Wshadow" "-Wundef" "-Wcast-qual")
ENDIF()

SET(COMPILER_FLAGS_TO_CHECK "-Werror=implicit-function-declaration")
LIST(APPEND COMPILER_FLAGS_TO_CHECK "-ffast-math")

IF (APPLE)
    LIST(APPEND COMPILER_FLAGS_TO_CHECK "-fno-common")
ENDIF()

IF (CPU_ARCH)
    LIST(APPEND COMPILER_FLAGS_TO_CHECK "-march=${CPU_ARCH}")
ENDIF()

IF (ENABLE_SIMD)
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "^i.86$")
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-msse2")

    # -faltivec is a useful Apple extension. it is not the same as -maltivec.
    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)" AND (CMAKE_SYSTEM_NAME MATCHES "Darwin"))
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-faltivec")

    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64" AND (CMAKE_SYSTEM_NAME MATCHES "Darwin"))
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-faltivec")

    ELSEIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64" OR CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")
        LIST(APPEND COMPILER_FLAGS_TO_CHECK "-maltivec")

    ENDIF()
ENDIF()

SET (IDX 1)
FOREACH (CFLAG_TO_CHECK ${COMPILER_FLAGS_TO_CHECK})
    SET (FLAG_EXISTS_VAR "FLAG_EXISTS_${IDX}")
    MATH (EXPR IDX "${IDX} + 1")
    CHECK_C_COMPILER_FLAG("${CFLAG_TO_CHECK}" ${FLAG_EXISTS_VAR})
    IF (${FLAG_EXISTS_VAR})
        ADD_DEFINITIONS(${CFLAG_TO_CHECK})
    ENDIF()
ENDFOREACH()

# check inline keyword
CHECK_C_SOURCE_COMPILES("static inline int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C_INLINE)
CHECK_C_SOURCE_COMPILES("static __inline__ int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C___INLINE__)
CHECK_C_SOURCE_COMPILES("static __inline int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C___INLINE)

# check for symbol visibility attributes
IF(NOT WIN32 AND NOT CYGWIN)
    SET(OLD_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS} -Werror -fvisibility=hidden")
    CHECK_C_SOURCE_COMPILES("__attribute__((visibility(\"default\"))) int foo(void);
                             __attribute__((visibility(\"hidden\")))  int bar(void);
                             int foo (void) { return 0; }
                             int bar (void) { return 1; }
                             int main(void) { return 0; }" HAVE_VISIBILITY)
    IF(HAVE_VISIBILITY)
        ADD_DEFINITIONS(-fvisibility=hidden)
        ADD_DEFINITIONS("-DSYM_VISIBILITY")
    ENDIF()
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS}")
ENDIF()

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

# to find mikmod_internals.h:
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR})
INCLUDE_DIRECTORIES(BEFORE "${PROJECT_SOURCE_DIR}/include")

# to find config.h:
INCLUDE_DIRECTORIES(BEFORE ${PROJECT_BINARY_DIR})

CHECK_MULTI_INCLUDE_FILES(
    "dlfcn.h" "fcntl.h" "limits.h" "malloc.h" "memory.h" "sys/ioctl.h" "unistd.h" "windows.h"
)

IF(WIN32 AND NOT HAVE_WINDOWS_H)
    MESSAGE(FATAL_ERROR "windows.h not found.")
ENDIF()

IF(SYS_LINUX)
    CHECK_MULTI_INCLUDE_FILES("alsa/asoundlib.h" "sys/sam9407.h")
ENDIF()

CHECK_MULTI_FUNCTIONS_EXISTS(
    "posix_memalign" "setenv" "snprintf" "srandom"
)

ADD_DEFINITIONS("-DHAVE_CONFIG_H")
# always define MIKMOD_BUILD when building libmikmod
ADD_DEFINITIONS("-DMIKMOD_BUILD")

SET (MIKMOD_LIB_MODULES
    drivers/drv_AF.c
    drivers/drv_aiff.c
    drivers/drv_ahi.c
    drivers/drv_aix.c
    drivers/drv_alsa.c
    drivers/drv_dart.c
    drivers/drv_ds.c
    drivers/drv_esd.c
    drivers/drv_gp32.c
    drivers/drv_hp.c
    drivers/drv_mac.c
    drivers/drv_n64.c
    drivers/drv_nas.c
    drivers/drv_nos.c
    drivers/drv_openal.c
    drivers/drv_osles.c
    drivers/drv_oss.c
    drivers/drv_osx.c
    drivers/drv_pipe.c
    drivers/drv_psp.c
    drivers/drv_pulseaudio.c
    drivers/drv_raw.c
    drivers/drv_sam9407.c
    drivers/drv_sdl.c
    drivers/drv_sgi.c
    drivers/drv_sndio.c
    drivers/drv_stdout.c
    drivers/drv_sun.c
    drivers/drv_ultra.c
    drivers/drv_wav.c

=== examples/sdlplayer/Makefile ===
# Compiler, linker
CC=gcc
LD=$(CC)

# Full path to the libmikmod-config shell script.
LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

# Full path to the sdl-config shell script.  E.g.:
# sdl-config for SDL-1.2, or sdl2-config for SDL2.
SDL_CONFIG=sdl-config
SDL_CFLAGS=$(shell $(SDL_CONFIG) --cflags)
SDL_LIBS  =$(shell $(SDL_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS) $(SDL_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS) $(SDL_LIBS)

PROG=sdlplay

OBJS=sdlplay.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *.o $(PROG)

=== examples/simpleplayMEM/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splayMEM

OBJS=myloader.o splayMEM.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *.o $(PROG)

=== debian/changelog ===
libmikmod (3.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Jan 2025 17:47:24 +0100

libmikmod (3.3.11.1-8) unstable; urgency=medium

  * Drop the libmikmod-config transitional package, it’s no longer
    useful. Closes: #1038273.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Oct 2024 18:43:58 +0200

libmikmod (3.3.11.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/libmikmod3.lintian-overrides on
    line 3.
  * Update standards version to 4.6.2, no changes needed.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 22:49:46 +0100

libmikmod (3.3.11.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Stephen Kitt ]
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Jan 2021 16:04:50 +0100

libmikmod (3.3.11.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

  [ Stephen Kitt ]
  * Set “Rules-Requires-Root: no”.
  * Add Build-Depends-Package entry to the symbols file.
  * Install manpages, info files, and autoconf m4 macros from the
    installation locations instead of the source tree, to simplify
    dh_missing tracking.
  * Merge libmikmod-config back into libmikmod-dev, since the eponymous
    script is no longer arch-dependent.
  * Drop references to libmikmod2-dev, long obsolete.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Jun 2020 21:14:23 +0200

=== debian/control ===
Source: libmikmod
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libopenal-dev,
               libpulse-dev,
               libsdl2-dev,
               texinfo
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/mod-player-team/libmikmod
Vcs-Git: https://salsa.debian.org/mod-player-team/libmikmod.git
Homepage: http://mikmod.sf.net/
Rules-Requires-Root: no

Package: libmikmod-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libmikmod3 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libmikmod-config (<< 3.3.11.1-5)
Replaces: libmikmod-config (<< 3.3.11.1-5)
Description: Portable sound library - development files
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.
 .
 This package contains the symlinks, headers, and object files needed
 to compile and link programs which use libmikmod.

Package: libmikmod3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable sound library
 This library is capable of playing samples as well as module files
 and was originally written by Jean-Paul Mikkers (MikMak) for DOS. It
 has subsequently been hacked by many hands and now runs on many Unix
 flavours.
 .
 It supports OSS, ALSA, SDL and PulseAudio outputs, and can also write
 to disk in raw, WAV and AIFF formats.
 .
 Supported file formats include mod, stm, s3m, mtm, xm, and it.

## libmikmod 3.3.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 SET(LIBMIKMOD_MAJOR_VERSION 3)
 SET(LIBMIKMOD_MINOR_VERSION 3)
-SET(LIBMIKMOD_MICRO_VERSION 12)
+SET(LIBMIKMOD_MICRO_VERSION 13)
 
 SET(VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")
 SET(LIBMIKMOD_VERSION "${LIBMIKMOD_MAJOR_VERSION}.${LIBMIKMOD_MINOR_VERSION}.${LIBMIKMOD_MICRO_VERSION}")

=== amiga/Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 include gcc_aos4.mk
 endif
 
+# disable support for module depackers
+#CPPFLAGS_LIB+=-DNO_DEPACKERS
 # disable the high quality mixer (build only with the standart mixer)
 #CPPFLAGS_LIB+=-DNO_HQMIXER

=== docs/CMakeLists.txt ===
# Excerpt taken from http://cmake.3232098.n2.nabble.com/Building-Texinfo-with-CMake-td5609561.html
option(ENABLE_DOC "Build the library documentation" ON)

find_program(MAKEINFO_EXECUTABLE makeinfo)

set(info_in ${CMAKE_CURRENT_SOURCE_DIR}/mikmod.texi)
set(info_out ${CMAKE_CURRENT_BINARY_DIR}/mikmod.info)
set(html_out ${CMAKE_CURRENT_BINARY_DIR}/mikmod.html)

IF (ENABLE_DOC)
add_custom_command(OUTPUT ${info_out}
  COMMAND ${MAKEINFO_EXECUTABLE} --no-split -o ${info_out} ${info_in}
  DEPENDS ${info_in}
  COMMENT "Creating Info file ${info_out}"
  VERBATIM)

add_custom_command(OUTPUT ${html_out}
  COMMAND ${MAKEINFO_EXECUTABLE} --no-split --html -o ${html_out} ${info_in}
  DEPENDS ${info_in}
  COMMENT "Creating HTML file ${html_out}"
  VERBATIM)

add_custom_target(info ALL DEPENDS ${info_out} ${html_out})
ENDIF()

=== examples/simpleplay/Makefile ===
--- 
+++ 
@@ -17,9 +17,8 @@
 all: $(OBJS)
 	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)
 
-%.o: %.c %.h
+.c.o:
 	$(CC) $(CFLAGS) -c $<
 
 clean:
-	rm -f *.o $(PROG)
-
+	$(RM) *.o $(PROG)

=== examples/simpleplayFP/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=splayFP

OBJS=splayFP.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *.o $(PROG)

=== examples/simpleplayMEM2/Makefile ===
--- 
+++ 
@@ -17,9 +17,8 @@
 all: $(OBJS)
 	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)
 
-%.o: %.c %.h
+.c.o:
 	$(CC) $(CFLAGS) -c $<
 
 clean:
 	rm -f *.o $(PROG)
-

=== examples/soundeffects/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=soundeffects

OBJS=soundeffects.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *.o $(PROG)

=== examples/umxplay/Makefile ===
CC=gcc
LD=$(CC)

LIBMIKMOD_CONFIG=libmikmod-config
LIBMIKMOD_CFLAGS=$(shell $(LIBMIKMOD_CONFIG) --cflags)
LIBMIKMOD_LIBS  =$(shell $(LIBMIKMOD_CONFIG) --libs)

CFLAGS=-Wall -g $(LIBMIKMOD_CFLAGS)
LDFLAGS=$(LIBMIKMOD_LIBS)

PROG=umxplay

OBJS=umxload.o umxplay.o

.PHONY : clean install

all: $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $(PROG)

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *.o $(PROG)

=== debian/changelog ===
libmikmod (3.3.13-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 May 2025 17:17:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libpulse-dev,
                libsdl2-dev,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/mod-player-team/libmikmod
 Vcs-Git: https://salsa.debian.org/mod-player-team/libmikmod.git
 Homepage: http://mikmod.sf.net/

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(ENABLED)
 
-override_dh_installman:
-	sed 's/@LIBMIKMOD_VERSION@/$(DEB_VERSION_UPSTREAM)/g' < docs/libmikmod-config.1.in > build/docs/libmikmod-config.1
-	dh_installman
+override_dh_installchangelogs-arch:
+	dh_installchangelogs -a NEWS
 
-override_dh_installinfo:
-	dh_installinfo docs/mikmod.info*
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a NEWS
+override_dh_missing:
+	dh_missing -X.la
 
 %:
 	dh $@
